package com.sinosig.core.module.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[SYXXX] 查询条件对象
 */
@Data
public class SYXXXSearchContext extends SearchContext {

	   public String n_syxxxname_like;//[商业险信息名称]
       public void setN_syxxxname_like(String n_syxxxname_like) {
            this.n_syxxxname_like=n_syxxxname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("syxxxname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_syxxxname_like);
            this.getCondition().add(searchField);
       }
	   public String n_cidid_eq;//[车险单标识]
       public void setN_cidid_eq(String n_cidid_eq) {
            this.n_cidid_eq=n_cidid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("cidid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_cidid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter syxxxname=new SearchFieldFilter();
           syxxxname.setParam("syxxxname");
           syxxxname.setCondition(SearchFieldType.LIKE);
           syxxxname.setValue(strQuery);
           searchGroupFilter.getCondition().add(syxxxname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
